<?php
if ( ! class_exists( 'WC_Abstract_Privacy' ) ) {
	return;
}

class WC_Authorize_Net_Privacy extends WC_Abstract_Privacy {
	/**
	 * Constructor
	 *
	 */
	public function __construct() {
		parent::__construct( __( 'Authorize.net DPM', 'woocommerce-gateway-authorize-net-dpm' ) );
	}

	/**
	 * Gets the message of the privacy to display.
	 *
	 */
	public function get_privacy_message() {
		return wpautop( sprintf( __( 'By using this extension, you may be storing personal data or sharing data with an external service. <a href="%s" target="_blank">Learn more about how this works, including what you may want to include in your privacy policy.</a>', 'woocommerce-gateway-authorize-net-dpm' ), 'https://docs.woocommerce.com/document/privacy-payments/#woocommerce-gateway-authorize-net-dpm' ) );
	}
}

new WC_Authorize_Net_Privacy();
