<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

return array(
	'enabled' => array(
		'title'       => __( 'Enable/Disable', 'woocommerce-gateway-authorize-net-dpm' ),
		'label'       => __( 'Enable Authorize.net DPM', 'woocommerce-gateway-authorize-net-dpm' ),
		'type'        => 'checkbox',
		'description' => '',
		'default'     => 'no'
	),
	'title' => array(
		'title'       => __( 'Title', 'woocommerce-gateway-authorize-net-dpm' ),
		'type'        => 'text',
		'description' => __( 'This controls the title which the user sees during checkout.', 'woocommerce-gateway-authorize-net-dpm' ),
		'default'     => __( 'Credit card', 'woocommerce-gateway-authorize-net-dpm' ),
		'desc_tip'    => true
	),
	'description' => array(
		'title'       => __( 'Description', 'woocommerce-gateway-authorize-net-dpm' ),
		'type'        => 'text',
		'description' => __( 'This controls the description which the user sees during checkout.', 'woocommerce-gateway-authorize-net-dpm' ),
		'default'     => 'Pay securely using your credit card.',
		'desc_tip'    => true
	),
	'api_login' => array(
		'title'       => __( 'API Login ID', 'woocommerce-gateway-authorize-net-dpm' ),
		'type'        => 'text',
		'description' => __( 'Look this up by logging into your Authorize.net account.', 'woocommerce-gateway-authorize-net-dpm' ),
		'default'     => '',
		'desc_tip'    => true
	),
	'transaction_key' => array(
		'title'       => __( 'Transaction key', 'woocommerce-gateway-authorize-net-dpm' ),
		'type'        => 'password',
		'description' => __( 'Look this up by logging into your Authorize.net account.', 'woocommerce-gateway-authorize-net-dpm' ),
		'default'     => '',
		'desc_tip'    => true
	),
	'signature_key'   => array(
		'title'       => __( 'Signature Key', 'woocommerce-gateway-authorize-net-dpm' ),
		'type'        => 'password',
		'description' => __( 'Your account\'s signature key. If you do not have one already, a new signature key can be generated from the merchant interface (using Account > Settings > API Credentials & Keys > New Signature Key).', 'woocommerce-gateway-authorize-net-dpm' ),
		'default'     => '',
		'desc_tip'    => true,
	),
	'testmode' => array(
		'title'       => __( 'Sandbox Account', 'woocommerce-gateway-authorize-net-dpm' ),
		'label'       => __( 'Yes, I am using a Sandbox account.', 'woocommerce-gateway-authorize-net-dpm' ),
		'type'        => 'checkbox',
		'description' => __( 'Enable this if the above keys are for a developer or sandbox account for testing (obtained from https://sandbox.authorize.net/).', 'woocommerce-gateway-authorize-net-dpm' ),
		'default'     => 'no'
	),
	'debug' => array(
		'title'       => __( 'Logging', 'woocommerce-gateway-authorize-net-dpm' ),
		'label'       => __( 'Enable Logging', 'woocommerce-gateway-authorize-net-dpm' ),
		'type'        => 'checkbox',
		'description' => sprintf( __( 'Log Authorize.net events inside <code>%s</code> for debugging purposes.', 'woocommerce-gateway-authorize-net-dpm' ), wc_get_log_file_path( 'authorize_net_dpm' ) ),
		'default'     => 'no'
	),
	'auth_only' => array(
		'title'       => __( 'Authorize Only', 'woocommerce-gateway-authorize-net-dpm' ),
		'type'        => 'checkbox',
		'label'       => __( 'Enable Authorize Only Mode', 'woocommerce-gateway-authorize-net-dpm' ),
		'description' => __( 'Check this to disable instant capture of funds and authorize the credit card only upon checkout.', 'woocommerce-gateway-authorize-net-dpm' ),
		'default'     => 'no',
		'desc_tip'    => true
	),
);
